JRE or JDK Requirements | Teradata Studio/Studio Express - 17.00 - Java Runtime Environment or Java Development Kit Requirements - Teradata Studio

Teradata® Studio™ and Studio™ Express Installation Guide

prodname
Teradata Studio
vrm_release
17.00
created_date
January 2021
category
Installation
featnum
B035-2037-129K

The Teradata Studio and Studio Express 17.00.12 packages require either OpenJDK Installation or Oracle JDK installation as below of any Java vendor.

Teradata Studio and Teradata Studio Express were certified on Azul OpenJDK and Oracle Java of versions 8, 10, and 11.

Teradata Studio and Teradata Express requires OpenJDK or Oracle Java of version 8, 10, or 11. Depending on Operating System, either JDK or JRE must be installed.
Starting with JDK 11, Oracle provides JDK only.
  • Apple macOS requires JDK
  • [Java 8, 10] Linux or Windows requires JDK or JRE
  • [Java 11] Windows requires JDK

Azul Zulu OpenJDK Installation

  1. Download required Java version 8, 10, or 11 depending on your operating system:
  2. Follow steps specified in the Zulu Installation Guide at https://docs.azul.com/zulu/zuludocs/ depending on your operating system.

Oracle JDK Installation

  1. Download required Oracle Java version 8, 10, or 11 depending on your operating system.
  2. Follow steps specified in the Installation Instructions section at the respective Java SE Downloads website.